## azure-cli 0.1.0~b7

=== requirements.txt ===
adal==0.4.1
applicationinsights==0.10.0
argcomplete==1.3.0
azure==2.0.0rc6
azure-mgmt-trafficmanager==0.30.0rc6
azure-mgmt-dns==0.30.0rc6
colorama==0.3.7
jmespath
mock==1.3.0
pip
pygments==2.1.3
pylint==1.5.4
pyyaml==3.11
requests==2.9.1
six==1.10.0
tabulate==0.7.5
vcrpy==1.7.4

=== src/command_modules/azure-cli-iot/requirements.txt ===
azure==2.0.0rc6
azure-mgmt-iothub==0.1.0

=== src/command_modules/azure-cli-keyvault/requirements.txt ===
azure==2.0.0rc6

=== src/command_modules/azure-cli-role/requirements.txt ===
azure==2.0.0rc6
azure-mgmt-authorization==0.30.0rc6
azure-graphrbac==0.30.0rc6

=== src/command_modules/azure-cli-webapp/requirements.txt ===
azure==2.0.0rc6
azure-mgmt-web==0.30.0rc6

=== debian/changelog ===
azure-cli (0.1.0~b7-1) unstable; urgency=medium

  * Initial release. (Closes: #838708)

 -- Iain R. Learmonth <irl@debian.org>  Sat, 24 Sep 2016 20:06:10 +0100

=== debian/control ===
Source: azure-cli
Maintainer: Debian Azure Packaging Team <pkg-azure-team@lists.alioth.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python3,
               python3-adal,
               python3-applicationinsights,
               python3-argcomplete,
               python3-azure,
               python3-azure-storage,
               python3-colorama,
               python3-jmespath,
               python3-mock,
               python3-pygments,
               pylint3,
               python3-yaml,
               python3-requests,
               python3-six,
               python3-tabulate
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-azure/azure-cli.git
Vcs-Git: https://anonscm.debian.org/git/pkg-azure/azure-cli.git
Homepage: https://github.com/Azure/azure-cli

Package: azure-cli
Architecture: any
Depends: ${python3:Depends},
         ${misc:Depends}
Description: Next generation multi-platform command line experience for Azure
 The Microsoft Azure CLI allows you to orchestrate Azure from the command line,
 interacting with Azure active directory, web apps, virtual machines, virtual
 networks, storage, redis and more.

=== debian/rules ===
#!/usr/bin/make -f

MODULES=src/azure-cli \
	src/azure-cli-core \
	src/command_modules/azure-cli-component/ \
	src/command_modules/azure-cli-configure/ \
	src/command_modules/azure-cli-feedback/ \
	src/command_modules/azure-cli-iot/ \
	src/command_modules/azure-cli-keyvault/ \
	src/command_modules/azure-cli-network/ \
	src/command_modules/azure-cli-profile/ \
	src/command_modules/azure-cli-redis/ \
	src/command_modules/azure-cli-resource/ \
	src/command_modules/azure-cli-role/ \
	src/command_modules/azure-cli-storage/ \
	src/command_modules/azure-cli-taskhelp/ \
	src/command_modules/azure-cli-vm/ \
	src/command_modules/azure-cli-webapp/

%:
	dh $@ --with python3

override_dh_auto_clean:
	for MODULE in $(MODULES); do \
		( cd $$MODULE; python3 setup.py clean ); \
	done

override_dh_auto_install:
	for MODULE in $(MODULES); do \
		( cd $$MODULE; \
		  python3 setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/azure-cli ); \
	done
	rm -f $(CURDIR)/debian/azure-cli/usr/bin/az
	rm -f $(CURDIR)/debian/azure-cli/usr/bin/az.bat
	rm -f $(CURDIR)/debian/azure-cli/usr/bin/az.completion.sh
	dh_auto_install

override_dh_python3:
	dh_python3 -p azure-cli

=== debian/watch ===
version=3
opts="uversionmangle=s/(a|b|c|rc)/~$1/" \
https://github.com/azure/azure-cli/releases .*/archive/all-v?(\d[\d.-abcr]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## azure-cli 2.0.81%2Bds

=== requirements.txt ===
# basic
setuptools==40.0.0
wheel==0.31.1
pip>=9.0.1
urllib3==1.24.2

## azure-cli 2.0.81+ds

=== scripts/release/homebrew/docker/requirements.txt ===
homebrew-pypi-poet~=0.10.0
jinja2~=2.10
requests>=2.20.0
applicationinsights >=0.11.1,<0.11.8

=== debian/changelog ===
azure-cli (2.0.81+ds-4ubuntu0.2) focal; urgency=medium

  * Skip test_subscription_suppression, requires a network connection.

 -- Luca Boccassi <bluca@debian.org>  Wed, 30 Sep 2020 15:53:44 +0000

azure-cli (2.0.81+ds-4ubuntu0.1) focal; urgency=medium

  * Add antlr4_workaround.patch to workaround missing antlr4.
    (LP: #1897586)

 -- Luca Boccassi <bluca@debian.org>  Mon, 28 Sep 2020 15:46:45 +0100

azure-cli (2.0.81+ds-4) unstable; urgency=medium

  * Backport 0002-humanfriendly-8.0-compat.patch. Fixes compatibility with
    python3-humanfriendly >= 8.0. (Closes: #955000)

 -- Luca Boccassi <bluca@debian.org>  Sat, 28 Mar 2020 09:36:59 +0000

azure-cli (2.0.81+ds-3) unstable; urgency=medium

  * Fix Lintian Warning: description-synopsis-starts-with-article
  * List azure-cli* modules in py3dist-overrides
  * Add build-dependency on multiapi-storage for tests
  * Add Build-Depends on python3-all and python3-setuptools
  * Remove nocheck from Build-Depends on python3-argcomplete
  * Sort module list to make the build reproducible
  * Enable self-tests on build, select those that can run without the
    network
  * Add autopkgtest support
  * Move package under Python Modules Team maintenance
  * Fix dependency, pyjavaproperties -> javaproperties

 -- Luca Boccassi <bluca@debian.org>  Sun, 08 Mar 2020 10:57:27 +0000

azure-cli (2.0.81+ds-2) unstable; urgency=medium

  * Depend on python3-azure >= 20200130+git-1~.
  * Add patch to load extensions from system path. Packages can
    install extensions in:
    /usr/lib/python3/dist-packages/azure-cli-extensions/<NAME>
    The module directory and the egg-info directory can also be just
    symlinked in the <NAME> directory.

 -- Luca Boccassi <bluca@debian.org>  Wed, 26 Feb 2020 22:44:02 +0000

azure-cli (2.0.81+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #930413)

 -- Luca Boccassi <bluca@debian.org>  Fri, 21 Feb 2020 19:25:30 +0000

=== debian/control ===
Source: azure-cli
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-python,
               pylint3 <!nocheck>,
               python3-all,
               python3-argcomplete,
               python3-azure (>= 20200130+git-1~),
               python3-azure-cosmos,
               python3-azure-devtools <!nocheck>,
               python3-azure-functions-devops-build <!nocheck>,
               python3-azure-multiapi-storage <!nocheck>,
               python3-colorama <!nocheck>,
               python3-decorator <!nocheck>,
               python3-distutils,
               python3-fabric,
               python3-flake8 <!nocheck>,
               python3-humanfriendly <!nocheck>,
               python3-javaproperties <!nocheck>,
               python3-jmespath <!nocheck>,
               python3-knack <!nocheck>,
               python3-mock <!nocheck>,
               python3-openssl <!nocheck>,
               python3-pkginfo,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-scp <!nocheck>,
               python3-sshtunnel <!nocheck>,
               python3-tabulate <!nocheck>,
               python3-vcr <!nocheck>,
               python3-vsts-cd-manager <!nocheck>,
               python3-websocket <!nocheck>,
               python3-xmltodict <!nocheck>,
Standards-Version: 4.5.0
Section: python
Priority: optional
Rules-Requires-Root: no
Homepage: https://github.com/Azure/azure-cli
Vcs-Browser: https://salsa.debian.org/python-team/modules/azure-cli
Vcs-Git: https://salsa.debian.org/python-team/modules/azure-cli.git
Testsuite: autopkgtest-pkg-python, autopkgtest

Package: azure-cli
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-azure-cli (>= ${source:Version}),
Description: Azure Command-Line Interface (CLI)
 The Azure command-line interface (CLI) is Microsoft's cross-platform
 command-line experience for managing Azure resources. The Azure CLI is designed
 to be easy to learn and get started with, but powerful enough to be a great
 tool for building custom automation to use Azure resources.
 .
 This package provides the az executable and bash completion.

Package: python3-azure-cli
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: python3-azext-devops,
Description: Azure Command-Line Interface (CLI)
 The Azure command-line interface (CLI) is Microsoft's cross-platform
 command-line experience for managing Azure resources. The Azure CLI is designed
 to be easy to learn and get started with, but powerful enough to be a great
 tool for building custom automation to use Azure resources.
 .
 This package provides the azure-cli python3 module.

Package: python3-azure-cli-core
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Azure Command-Line Interface (CLI)
 The Azure command-line interface (CLI) is Microsoft's cross-platform
 command-line experience for managing Azure resources. The Azure CLI is designed
 to be easy to learn and get started with, but powerful enough to be a great
 tool for building custom automation to use Azure resources.
 .
 This package provides the azure-cli-core python3 module.

Package: python3-azure-cli-telemetry
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Azure Command-Line Interface (CLI)
 The Azure command-line interface (CLI) is Microsoft's cross-platform
 command-line experience for managing Azure resources. The Azure CLI is designed
 to be easy to learn and get started with, but powerful enough to be a great
 tool for building custom automation to use Azure resources.
 .
 This package provides the azure-cli-telemetry python3 module.

Package: python3-azure-cli-testsdk
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Azure Command-Line Interface (CLI)
 The Azure command-line interface (CLI) is Microsoft's cross-platform
 command-line experience for managing Azure resources. The Azure CLI is designed
 to be easy to learn and get started with, but powerful enough to be a great
 tool for building custom automation to use Azure resources.
 .
 This package provides the azure-cli-tesdk python3 module.

=== debian/rules ===
#!/usr/bin/make -f

export HTTP_PROXY=127.0.0.1:9
export HTTPS_PROXY=127.0.0.1:9
export PYBUILD_BEFORE_TEST=cp -r {dir}/src/azure-cli-core/azure/cli/core/extension/tests/ {build_dir}/tests_extension; \
	cp -r {dir}/src/azure-cli-core/azure/cli/core/tests/ {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/acr/tests/latest/test_acr_commands_mock.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/acs/tests/latest/test_acs_client.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/acs/tests/latest/test_custom.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/acs/tests/latest/test_helpers.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/acs/tests/latest/test_service_principals.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/acs/tests/latest/test_validators.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/advisor/tests/latest/test_advisor_commands.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/appservice/tests/latest/test_app_service_environment_commands_thru_mock.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/appservice/tests/latest/test_webapp_commands_thru_mock.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/batch/tests/latest/test_batch_commands.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/botservice/tests/latest/test_bot_commands.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/cdn/tests/latest/test_origin_type.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/cdn/tests/latest/test_validators.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/cloud/tests/latest/test_cloud.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/configure/tests/latest/test_configure.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/find/tests/latest/test_find.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/lab/tests/latest/test_lab_validators.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/network/tests/hybrid_2018_03_01 {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/network/tests/latest/test_dns_commands.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/network/tests/latest/test_network_unit_tests.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/network/tests/latest/zone_files/ {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/profile/tests/latest/test_profile_custom.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/resource/tests/hybrid_2018_03_01/ {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/resource/tests/latest/test_api_check.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/resource/tests/latest/test_resource_custom.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/resource/tests/latest/test_resource_list_odata_filter.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/resource/tests/latest/test_resource_validators.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/resource/tests/latest/param-validation-template.json {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/resource/tests/latest/param-validation-params.json {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/role/tests/latest/test_role_commands_thru_mock.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/role/tests/latest/test_role_custom.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/role/tests/latest/cert.pem {build_dir}/tests_core/
export PYBUILD_AFTERE_TEST=rm -rf {build_dir}/tests*
export PYBUILD_TEST_ARGS=-v --deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_twice \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_with_name_but_it_already_exists \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_with_name_valid_checksum \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_list_show_remove_extension \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_list_show_remove_extension_extra_index_url \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_list_show_remove_extension_with_dashes \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension_exception_in_update_and_rolled_back \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension_extra_index_url \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension_no_updates \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension_verify_no_pip_proxy \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension_with_pip_proxy \
	--deselect=tests_core/test_help.py::HelpTest::test_help_loads \
	--deselect=tests_core/test_help.py::TestHelpLoads::test_load_from_help_json \
	--deselect=tests_core/test_help.py::TestHelpLoads::test_load_from_help_py \
	--deselect=tests_core/test_bot_commands.py::BotTests \
	--deselect=tests_core/test_help.py::TestHelpLoads::test_load_from_help_yaml \
	--deselect=tests_core/test_dns_commands.py::DnsZoneImportTest \
	--deselect=tests_core/test_dns_commands.py::DnsScenarioTest \
	--deselect=tests_core/test_advisor_commands.py::AzureAdvisorScenarioTest::test_configurations_resource_group \
	--deselect=tests_core/test_advisor_commands.py::AzureAdvisorScenarioTest::test_configurations_subscription \
	--deselect=tests_core/test_resource_custom.py::TestCustom::test_deployment_missing_values \
	--deselect=tests_core/test_resource_custom.py::TestCustom::test_deployment_prompt_alphabetical_order \
	--deselect=tests_core/test_resource_custom.py::TestCustom::test_deployment_prompt_file_order \
	--deselect=tests_core/hybrid_2018_03_01/test_dns_commands.py::DnsZoneImportTest \
	--deselect=tests_core/hybrid_2018_03_01/test_dns_commands.py::DnsScenarioTest \
	--deselect=tests_core/hybrid_2018_03_01/test_locks.py \
	--deselect=tests_core/hybrid_2018_03_01/test_network_commands.py \
	--deselect=tests_core/hybrid_2018_03_01/test_resource.py \
	--deselect=tests_core/test_extension.py::TestWheelExtension \
	--deselect=tests_core/test_extension.py::TestExtensions::test_extension_exists \
	--deselect=tests_core/test_extension.py::TestExtensions::test_extension_list \
	--deselect=tests_core/test_extension.py::TestExtensions::test_extension_not_exists \
	--deselect=tests_core/test_extension.py::TestExtensions::test_get_extension \
	--deselect=tests_core/test_extension.py::TestExtensions::test_get_extension_names \
	--deselect=tests_core/test_cloud.py::SubscriptionSuppressionTest::test_subscription_suppression \
	--ignore=tests_core/test_generic_update.py
export SUBDIRS = $(shell find src -name setup.py -printf "%h ")
export MODULES = $(sort $(filter-out %-nspkg,$(SUBDIRS)))

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+ds,compression=gz,filenamemangle=s/.+\/azure-cli-?(\d\S+)\.tar\.gz/azure-cli_$1\.orig\.tar\.gz/ \
  https://github.com/Azure/azure-cli/tags .*/azure-cli-?(\d\S+)\.tar\.gz

## azure-cli 2.10.1

=== requirements.txt ===
click==6.7
Flask==1.0.2
itsdangerous==0.24
Jinja2==2.10
MarkupSafe==1.0
Werkzeug==0.14.1

=== debian/changelog ===
azure-cli (2.10.1-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.10.1' into debian/sid
  * Bump dependencies to match v2.10.1 requirements
  * Add antlr4_workaround.patch to workaround missing antlr4
  * Re-enable tests that were disabled because of azure-storage bugs
  * Deselect new tests that fail without internet connection
  * Add new build dependency on python3-tz
  * Add token_timezone.patch to always use UTC for token expiration
    timestamps
  * Remove redundant autopkgtest from Testsuite field in d/control

 -- Luca Boccassi <bluca@debian.org>  Fri, 07 Aug 2020 14:28:16 +0100

azure-cli (2.7.0-1) unstable; urgency=medium

  * Bump dependency on python-azure to new version for storage blob APIs
  * Bump dependency on knack to new version for new config API
  * Merge tag 'azure-cli-2.7.0' into debian/sid
  * Drop 0001-Extension-tests-do-not-import-from-absolute-path.patch,
    merged upstream

 -- Luca Boccassi <bluca@debian.org>  Thu, 18 Jun 2020 19:41:15 +0100

azure-cli (2.6.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.6.0' into debian/sid
    (Closes: #959630, #958979)
  * Drop patches, merged upstream
  * Exclude new tests that require working connection to Azure
  * Patch unit test to avoid global import of test module
  * Add new build-deps for tests

 -- Luca Boccassi <bluca@debian.org>  Thu, 21 May 2020 09:37:29 +0100

azure-cli (2.0.81+ds-5) unstable; urgency=medium

  * Skip test_acr_commands_mock.py and test_webapp_commands_thru_mock.py,
    they need deprecated BlockBlobService from azure-storage-blob

 -- Luca Boccassi <bluca@debian.org>  Wed, 15 Apr 2020 11:01:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: azure-cli
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                pylint3 <!nocheck>,
                python3-all,
                python3-argcomplete,
-               python3-azure (>= 20200130+git-1~),
+               python3-azure (>= 20200721+git-1~),
                python3-azure-cosmos,
-               python3-azure-devtools <!nocheck>,
+               python3-azure-devtools (>= 1.2.0-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
                python3-azure-multiapi-storage <!nocheck>,
                python3-colorama <!nocheck>,
@@ -20,7 +19,8 @@
                python3-humanfriendly <!nocheck>,
                python3-javaproperties <!nocheck>,
                python3-jmespath <!nocheck>,
-               python3-knack <!nocheck>,
+               python3-jsmin <!nocheck>,
+               python3-knack (>= 0.7.2-1~) <!nocheck>,
                python3-mock <!nocheck>,
                python3-openssl <!nocheck>,
                python3-pkginfo,
@@ -29,6 +29,7 @@
                python3-scp <!nocheck>,
                python3-sshtunnel <!nocheck>,
                python3-tabulate <!nocheck>,
+               python3-tz <!nocheck>,
                python3-vcr <!nocheck>,
                python3-vsts-cd-manager <!nocheck>,
                python3-websocket <!nocheck>,
@@ -40,7 +41,7 @@
 Homepage: https://github.com/Azure/azure-cli
 Vcs-Browser: https://salsa.debian.org/python-team/modules/azure-cli
 Vcs-Git: https://salsa.debian.org/python-team/modules/azure-cli.git
-Testsuite: autopkgtest-pkg-python, autopkgtest
+Testsuite: autopkgtest-pkg-python
 
 Package: azure-cli
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -38,46 +38,35 @@
 	cp -r {dir}/src/azure-cli/azure/cli/command_modules/role/tests/latest/cert.pem {build_dir}/tests_core/
 export PYBUILD_AFTERE_TEST=rm -rf {build_dir}/tests*
 export PYBUILD_TEST_ARGS=-v --deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_twice \
+	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_verify_no_pip_proxy \
 	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_with_name_but_it_already_exists \
 	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_with_name_valid_checksum \
+	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_with_pip_proxy \
+	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_list_show_remove_system_extension \
+	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_list_show_remove_user_system_extensions \
 	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_list_show_remove_extension \
 	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_list_show_remove_extension_extra_index_url \
 	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_list_show_remove_extension_with_dashes \
+	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_same_extension_user_system \
 	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension \
 	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension_exception_in_update_and_rolled_back \
 	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension_extra_index_url \
 	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension_no_updates \
 	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension_verify_no_pip_proxy \
 	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension_with_pip_proxy \
+	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_azure_to_path \
+	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_to_path \
+	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_with_specific_version \
+	--deselect=tests_extension/latest/test_wheel_type_extension.py::TestWheelTypeExtensionMetadata::test_reading_wheel_type_0_30_0_extension_metadata \
+	--deselect=tests_extension/latest/test_wheel_type_extension.py::TestWheelTypeExtensionMetadata::test_reading_wheel_type_0_31_0_extension_metadata \
 	--deselect=tests_core/test_help.py::HelpTest::test_help_loads \
 	--deselect=tests_core/test_help.py::TestHelpLoads::test_load_from_help_json \
 	--deselect=tests_core/test_help.py::TestHelpLoads::test_load_from_help_py \
 	--deselect=tests_core/test_bot_commands.py::BotTests \
+	--deselect=tests_core/test_cloud.py::SubscriptionSuppressionTest::test_subscription_suppression \
+	--deselect=tests_core/test_configure.py::LocalContextCommandsScenarioTest::test_local_context_commands \
+	--deselect=tests_core/test_extension.py::TestWheelSystemExtension::test_wheel_metadata1 \
+	--deselect=tests_core/test_extension.py::TestWheelSystemExtension::test_wheel_version \
 	--deselect=tests_core/test_help.py::TestHelpLoads::test_load_from_help_yaml \
 	--deselect=tests_core/test_dns_commands.py::DnsZoneImportTest \
 	--deselect=tests_core/test_dns_commands.py::DnsScenarioTest \
-	--deselect=tests_core/test_advisor_commands.py::AzureAdvisorScenarioTest::test_configurations_resource_group \
-	--deselect=tests_core/test_advisor_commands.py::AzureAdvisorScenarioTest::test_configurations_subscription \
-	--deselect=tests_core/test_resource_custom.py::TestCustom::test_deployment_missing_values \
-	--deselect=tests_core/test_resource_custom.py::TestCustom::test_deployment_prompt_alphabetical_order \
-	--deselect=tests_core/test_resource_custom.py::TestCustom::test_deployment_prompt_file_order \
-	--deselect=tests_core/hybrid_2018_03_01/test_dns_commands.py::DnsZoneImportTest \
-	--deselect=tests_core/hybrid_2018_03_01/test_dns_commands.py::DnsScenarioTest \
-	--deselect=tests_core/hybrid_2018_03_01/test_locks.py \
-	--deselect=tests_core/hybrid_2018_03_01/test_network_commands.py \
-	--deselect=tests_core/hybrid_2018_03_01/test_resource.py \
-	--deselect=tests_core/test_extension.py::TestWheelExtension \
-	--deselect=tests_core/test_extension.py::TestExtensions::test_extension_exists \
-	--deselect=tests_core/test_extension.py::TestExtensions::test_extension_list \
-	--deselect=tests_core/test_extension.py::TestExtensions::test_extension_not_exists \
-	--deselect=tests_core/test_extension.py::TestExtensions::test_get_extension \
-	--deselect=tests_core/test_extension.py::TestExtensions::test_get_extension_names \
-	--deselect=tests_core/test_cloud.py::SubscriptionSuppressionTest::test_subscription_suppression \
-	--ignore=tests_core/test_generic_update.py
-export SUBDIRS = $(shell find src -name setup.py -printf "%h ")
-export MODULES = $(sort $(filter-out %-nspkg,$(SUBDIRS)))
-
-%:
-	dh $@ --with python3 --buildsystem=pybuild
-
-override_dh_auto_clean:

## azure-cli 2.14.1

=== debian/changelog ===
azure-cli (2.14.1-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.14.1' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Fri, 06 Nov 2020 13:54:21 +0000

azure-cli (2.14.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.12.1' into debian/sid
  * Add new dependencies
  * Drop token_timezone.patch, fixed upstream
  * Merge tag 'azure-cli-2.14.0' into debian/sid
  * Refresh crypto_dependency.patch to remove fuzz from 2.14.0
  * Skip new, broken test
  * Bump python3-azure dependency
  * Override false positive Lintian Warning

 -- Luca Boccassi <bluca@debian.org>  Wed, 28 Oct 2020 13:56:52 +0000

azure-cli (2.11.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Luca Boccassi ]
  * Merge tag 'azure-cli-2.11.1' into debian/sid
  * Bump dependencies requirements for version 2.11.1
  * Drop antlr4_workaround.patch, merged upstream
  * Add crypto_dependency.patch to remove upper python3-cryptography
    version limit (Closes: #969565)
  * Skip new flaky tests
  * Add more tests and caches to d/not-installed
  * azure/cli/__init__.py is not installed anymore

 -- Luca Boccassi <bluca@debian.org>  Sat, 26 Sep 2020 14:49:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: azure-cli
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                pylint3 <!nocheck>,
                python3-all,
                python3-argcomplete,
-               python3-azure (>= 20200721+git-1~),
+               python3-azure (>= 20201028+git-1~),
                python3-azure-cosmos,
+               python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-devtools (>= 1.2.0-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
-               python3-azure-multiapi-storage <!nocheck>,
+               python3-azure-multiapi-storage (>= 0.4.1-1~) <!nocheck>,
                python3-colorama <!nocheck>,
                python3-decorator <!nocheck>,
                python3-distutils,
@@ -22,8 +23,10 @@
                python3-jsmin <!nocheck>,
                python3-knack (>= 0.7.2-1~) <!nocheck>,
                python3-mock <!nocheck>,
+               python3-msrest (>= 0.6.18-1~) <!nocheck>,
                python3-openssl <!nocheck>,
                python3-pkginfo,
+               python3-psutil <!nocheck>,
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-scp <!nocheck>,
@@ -39,8 +42,8 @@
 Priority: optional
 Rules-Requires-Root: no
 Homepage: https://github.com/Azure/azure-cli
-Vcs-Browser: https://salsa.debian.org/python-team/modules/azure-cli
-Vcs-Git: https://salsa.debian.org/python-team/modules/azure-cli.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/azure-cli
+Vcs-Git: https://salsa.debian.org/python-team/packages/azure-cli.git
 Testsuite: autopkgtest-pkg-python
 
 Package: azure-cli
@@ -68,7 +71,7 @@
 
 Package: python3-azure-cli-core
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends: ${misc:Depends}, ${python3:Depends}, python3-distutils,
 Description: Azure Command-Line Interface (CLI)
  The Azure command-line interface (CLI) is Microsoft's cross-platform
  command-line experience for managing Azure resources. The Azure CLI is designed

## azure-cli 2.14.2

=== debian/changelog ===
azure-cli (2.14.2-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.14.2' into debian/sid
  * Add missing dependency on python3-decorator

 -- Luca Boccassi <bluca@debian.org>  Mon, 09 Nov 2020 13:54:00 +0000

=== debian/control ===
--- 
+++ 
@@ -72,6 +72,7 @@
 Package: python3-azure-cli-core
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3-distutils,
+ python3-decorator,
 Description: Azure Command-Line Interface (CLI)
  The Azure command-line interface (CLI) is Microsoft's cross-platform
  command-line experience for managing Azure resources. The Azure CLI is designed

## azure-cli 2.16.0

=== debian/changelog ===
azure-cli (2.16.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.16.0' into newver
  * Bump Standards-Version to 4.5.1, no changes
  * Bump debhelper-compat to 13
  * Bump dependency on python-azure

 -- Luca Boccassi <bluca@debian.org>  Fri, 11 Dec 2020 19:37:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: azure-cli
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                pylint3 <!nocheck>,
                python3-all,
                python3-argcomplete,
-               python3-azure (>= 20201028+git-1~),
+               python3-azure (>= 20201208+git-1~),
                python3-azure-cosmos,
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-devtools (>= 1.2.0-1~) <!nocheck>,
@@ -37,7 +37,7 @@
                python3-vsts-cd-manager <!nocheck>,
                python3-websocket <!nocheck>,
                python3-xmltodict <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: python
 Priority: optional
 Rules-Requires-Root: no

## azure-cli 2.17.0

=== debian/changelog ===
azure-cli (2.17.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.17.0' into debian/sid
  * Bump dependency on python3-azure as required

 -- Luca Boccassi <bluca@debian.org>  Tue, 29 Dec 2020 19:14:02 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                pylint3 <!nocheck>,
                python3-all,
                python3-argcomplete,
-               python3-azure (>= 20201208+git-1~),
+               python3-azure (>= 20201208+git-2~),
                python3-azure-cosmos,
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-devtools (>= 1.2.0-1~) <!nocheck>,

## azure-cli 2.17.1

=== debian/changelog ===
azure-cli (2.17.1-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.17.1' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Mon, 04 Jan 2021 11:07:44 +0000

## azure-cli 2.18.0

=== requirements.txt ===
# basic
setuptools==40.0.0
pip>=9.0.1

=== debian/changelog ===
azure-cli (2.18.0-2) unstable; urgency=medium

  * Add build-dependency on antlr4

 -- Luca Boccassi <bluca@debian.org>  Tue, 20 Apr 2021 22:27:36 +0100

azure-cli (2.18.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.18.0' into debian/sid
  * Bump dependency on python3-knack
  * Disable broken test
  * Add patch to force AZ_INSTALLER=DEB

 -- Luca Boccassi <bluca@debian.org>  Mon, 25 Jan 2021 15:43:00 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
                pylint3 <!nocheck>,
                python3-all,
                python3-argcomplete,
+               python3-antlr4 <!nocheck>,
                python3-azure (>= 20201208+git-2~),
                python3-azure-cosmos,
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
@@ -21,7 +22,7 @@
                python3-javaproperties <!nocheck>,
                python3-jmespath <!nocheck>,
                python3-jsmin <!nocheck>,
-               python3-knack (>= 0.7.2-1~) <!nocheck>,
+               python3-knack (>= 0.8.0~) <!nocheck>,
                python3-mock <!nocheck>,
                python3-msrest (>= 0.6.18-1~) <!nocheck>,
                python3-openssl <!nocheck>,

=== debian/tests/control ===
Tests:python3-tests
Depends: @builddeps@, python3-azure-cli, python3-azure-cli-core, python3-azure-cli-telemetry, python3-azure-cli-testsdk,

## azure-cli 2.30.0

=== scripts/release/homebrew/docker/requirements.txt ===
homebrew-pypi-poet~=0.10.0
jinja2>=2.11.3,<3.0.0
requests>=2.20.0
applicationinsights >=0.11.1,<0.11.8

=== debian/changelog ===
azure-cli (2.30.0-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump minimum dependency on python3-jwt
  * Bump minimum dependency on python3-knack

 -- Luca Boccassi <bluca@debian.org>  Tue, 23 Nov 2021 14:58:02 +0000

azure-cli (2.30.0-2) unstable; urgency=medium

  * autopkgtest: skip more unreliable tests

 -- Luca Boccassi <bluca@debian.org>  Sat, 06 Nov 2021 20:32:01 +0000

azure-cli (2.30.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.30.0' into debian/sid
    (Closes: #994266, #986657, #989670, #989676)
  * Update build dependencies for 2.30.0
  * Drop obsolete crypto_dependency.patch
  * Bump Standards-Version to 4.6.0, no changes
  * autopkgtest: add dependency on python3-all:any
  * Skip broken test
  * Ignore very-long-line-length-in-source-file lintian warning
  * python3-azure-cli-core: update Lintian warning paths
  * Differentiate short descriptions

 -- Luca Boccassi <bluca@debian.org>  Thu, 04 Nov 2021 23:46:19 +0000

=== debian/control ===
--- 
+++ 
@@ -7,38 +7,48 @@
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
-               python3-azure (>= 20201208+git-2~),
+               python3-azure (>= 20211104+git-1~),
                python3-azure-cosmos,
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-devtools (>= 1.2.0-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
                python3-azure-multiapi-storage (>= 0.4.1-1~) <!nocheck>,
+               python3-bcrypt (>= 3.2.0~) <!nocheck>,
                python3-colorama <!nocheck>,
+               python3-cryptography (>= 3.3.0~) <!nocheck>,
                python3-decorator <!nocheck>,
+               python3-distro <!nocheck>,
                python3-distutils,
                python3-fabric,
                python3-flake8 <!nocheck>,
+               python3-github <!nocheck>,
                python3-humanfriendly <!nocheck>,
                python3-javaproperties <!nocheck>,
+               python3-jinja2 <!nocheck>,
                python3-jmespath <!nocheck>,
-               python3-jsmin <!nocheck>,
-               python3-knack (>= 0.8.0~) <!nocheck>,
-               python3-mock <!nocheck>,
+               python3-jsondiff <!nocheck>,
+               python3-jwt (>= 2.1.0~) <!nocheck>,
+               python3-knack (>= 0.9.0~) <!nocheck>,
+               python3-msal <!nocheck>,
+               python3-msal-extensions <!nocheck>,
                python3-msrest (>= 0.6.18-1~) <!nocheck>,
+               python3-nacl <!nocheck>,
                python3-openssl <!nocheck>,
+               python3-packaging <!nocheck>,
                python3-pkginfo,
                python3-psutil <!nocheck>,
                python3-pytest <!nocheck>,
+               python3-requests <!nocheck>,
+               python3-scp <!nocheck>,
                python3-setuptools,
-               python3-scp <!nocheck>,
+               python3-semver <!nocheck>,
                python3-sshtunnel <!nocheck>,
                python3-tabulate <!nocheck>,
                python3-tz <!nocheck>,
                python3-vcr <!nocheck>,
-               python3-vsts-cd-manager <!nocheck>,
                python3-websocket <!nocheck>,
                python3-xmltodict <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: python
 Priority: optional
 Rules-Requires-Root: no
@@ -62,7 +72,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
 Recommends: python3-azext-devops,
-Description: Azure Command-Line Interface (CLI)
+Description: Azure Command-Line Interface (CLI) - commands modules
  The Azure command-line interface (CLI) is Microsoft's cross-platform
  command-line experience for managing Azure resources. The Azure CLI is designed
  to be easy to learn and get started with, but powerful enough to be a great
@@ -74,7 +84,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3-distutils,
  python3-decorator,
-Description: Azure Command-Line Interface (CLI)
+Description: Azure Command-Line Interface (CLI) - core modules
  The Azure command-line interface (CLI) is Microsoft's cross-platform
  command-line experience for managing Azure resources. The Azure CLI is designed
  to be easy to learn and get started with, but powerful enough to be a great
@@ -85,7 +95,7 @@
 Package: python3-azure-cli-telemetry
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
-Description: Azure Command-Line Interface (CLI)
+Description: Azure Command-Line Interface (CLI) - telemetry modules
  The Azure command-line interface (CLI) is Microsoft's cross-platform
  command-line experience for managing Azure resources. The Azure CLI is designed
  to be easy to learn and get started with, but powerful enough to be a great
@@ -96,7 +106,7 @@
 Package: python3-azure-cli-testsdk
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
-Description: Azure Command-Line Interface (CLI)
+Description: Azure Command-Line Interface (CLI) - testsdk modules
  The Azure command-line interface (CLI) is Microsoft's cross-platform
  command-line experience for managing Azure resources. The Azure CLI is designed
  to be easy to learn and get started with, but powerful enough to be a great

## azure-cli 2.31.0

=== debian/changelog ===
azure-cli (2.31.0-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Wed, 15 Dec 2021 13:03:12 +0000

azure-cli (2.31.0-2) unstable; urgency=medium

  * B-D on pylint instead of pylint3 (Closes: #1001547)

 -- Luca Boccassi <bluca@debian.org>  Sun, 12 Dec 2021 14:34:02 +0000

azure-cli (2.31.0-1) unstable; urgency=medium

  * Bump minimum dependency on python3-jwt
  * Bump minimum dependency on python3-knack
  * Merge tag 'azure-cli-2.31.0' into debian/sid
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Tue, 07 Dec 2021 12:11:41 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               pylint3 <!nocheck>,
+               pylint <!nocheck>,
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,

## azure-cli 2.32.0

=== debian/changelog ===
azure-cli (2.32.0-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Thu, 20 Jan 2022 09:30:11 +0000

azure-cli (2.32.0-2) unstable; urgency=medium

  * Bump dependency on python3-msal

 -- Luca Boccassi <bluca@debian.org>  Mon, 17 Jan 2022 16:38:33 +0000

azure-cli (2.32.0-1) unstable; urgency=medium

  * Add versioned dependencies to ensure modules are updated together
  * Merge tag 'azure-cli-2.32.0' into debian/sid
  * Switch to dh-sequence-python3
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Mon, 10 Jan 2022 11:50:20 +0000

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Uploaders: Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
                pylint <!nocheck>,
                python3-all,
                python3-argcomplete,
@@ -29,7 +30,7 @@
                python3-jsondiff <!nocheck>,
                python3-jwt (>= 2.1.0~) <!nocheck>,
                python3-knack (>= 0.9.0~) <!nocheck>,
-               python3-msal <!nocheck>,
+               python3-msal (>= 1.16.0~) <!nocheck>,
                python3-msal-extensions <!nocheck>,
                python3-msrest (>= 0.6.18-1~) <!nocheck>,
                python3-nacl <!nocheck>,
@@ -71,6 +72,7 @@
 Package: python3-azure-cli
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
+ python3-azure-cli-core (>= ${source:Version}),
 Recommends: python3-azext-devops,
 Description: Azure Command-Line Interface (CLI) - commands modules
  The Azure command-line interface (CLI) is Microsoft's cross-platform
@@ -83,7 +85,7 @@
 Package: python3-azure-cli-core
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3-distutils,
- python3-decorator,
+ python3-decorator, python3-azure-cli-telemetry (>= ${source:Version}),
 Description: Azure Command-Line Interface (CLI) - core modules
  The Azure command-line interface (CLI) is Microsoft's cross-platform
  command-line experience for managing Azure resources. The Azure CLI is designed

## azure-cli 2.33.1

=== debian/changelog ===
azure-cli (2.33.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Mon, 14 Feb 2022 11:45:16 +0000

azure-cli (2.33.1-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.33.1' into newver

 -- Luca Boccassi <bluca@debian.org>  Mon, 14 Feb 2022 10:42:10 +0000

azure-cli (2.33.0-2) unstable; urgency=medium

  * Use runpy instead of os.execl (Closes: #1005251)

 -- Luca Boccassi <bluca@debian.org>  Fri, 11 Feb 2022 19:45:53 +0000

azure-cli (2.33.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.33.0' into debian/sid
  * Disable new tests that require network connectivity

 -- Luca Boccassi <bluca@debian.org>  Tue, 08 Feb 2022 12:26:26 +0000

=== debian/rules ===
--- 
+++ 
@@ -64,9 +64,9 @@
 	--deselect=tests_core/test_help.py::TestHelpLoads::test_load_from_help_py \
 	--deselect=tests_core/test_bot_commands.py::BotTests \
 	--deselect=tests_core/test_cloud.py::SubscriptionSuppressionTest::test_subscription_suppression \
+	--deselect=tests_core/test_cloud.py::CloudTests::test_cloud_scenario \
 	--deselect=tests_core/test_configure.py::LocalContextCommandsScenarioTest::test_local_context_commands \
 	--deselect=tests_core/test_extension.py::TestWheelSystemExtension::test_wheel_metadata1 \
 	--deselect=tests_core/test_extension.py::TestWheelSystemExtension::test_wheel_version \
 	--deselect=tests_core/test_help.py::TestHelpLoads::test_load_from_help_yaml \
 	--deselect=tests_core/test_dns_commands.py::DnsZoneImportTest \
-	--deselect=tests_core/test_dns_commands.py::DnsScenarioTest \

## azure-cli 2.34.1

=== debian/changelog ===
azure-cli (2.34.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Wed, 09 Mar 2022 14:03:18 +0000

azure-cli (2.34.1-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.34.0' into debian/sid
  * Bump dependency on python3-azure
  * Merge tag 'azure-cli-2.34.1' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Thu, 03 Mar 2022 16:35:10 +0000

## azure-cli 2.35.0

=== debian/changelog ===
azure-cli (2.35.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Fri, 15 Apr 2022 18:03:37 +0200

azure-cli (2.35.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.35.0' into debian/sid
  * Skip new, broken tests

 -- Luca Boccassi <bluca@debian.org>  Thu, 07 Apr 2022 14:59:26 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
-               python3-azure (>= 20211104+git-1~),
+               python3-azure (>= 20220302+git~),
                python3-azure-cosmos,
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-devtools (>= 1.2.0-1~) <!nocheck>,
